OpenVDB 3.2.0

Classes | Functions
openvdb::v3_2_0::tools::clip_internal Namespace Reference

## Classes
struct | BoolSampler
struct | ConvertGrid
struct | ConvertGrid< GridT, GridT >
class | CopyLeafNodes
class | MaskInteriorVoxels

## Functions
template<typename GridT >
boost::disable_if< boost::is_same< ValueMask, typename GridT::BuildType >, typename GridT::template ValueConverter< ValueMask >::Type::Ptr >::type | convertToMaskGrid (const GridT &grid)
template<typename GridT >
boost::enable_if< boost::is_same< ValueMask, typename GridT::BuildType >, typename GridT::Ptr >::type | convertToMaskGrid (const GridT &grid)
template<typename GridType >
GridType::Ptr | doClip (const GridType &grid, const typename GridType::template ValueConverter< ValueMask >::Type &aMask)

## Function Documentation

## ◆ convertToMaskGrid() [1/2]

boost::disable_if<boost::is_same<ValueMask, typename GridT::BuildType>, typename GridT::template ValueConverter<ValueMask>::Type::Ptr>::type openvdb::v3_2_0::tools::clip_internal::convertToMaskGrid | ( | const GridT & | grid | ) |
| inline

## ◆ convertToMaskGrid() [2/2]

boost::enable_if<boost::is_same<ValueMask, typename GridT::BuildType>, typename GridT::Ptr>::type openvdb::v3_2_0::tools::clip_internal::convertToMaskGrid | ( | const GridT & | grid | ) |
| inline

## ◆ doClip()

GridType::Ptr openvdb::v3_2_0::tools::clip_internal::doClip | ( | const GridType & | grid,
|  | const typename GridType::template ValueConverter< ValueMask >::Type & | aMask
| ) |  |
| inline